/* Disabled user who selected. */
function updateMember()
{
    $('[name^=member]').find('option').prop('disabled', '');
    $('[name^=member]').find('[value=' + v.manager + ']').prop('disabled', 'disabled');
    $('[name^=member]').each(function()
    {
        var value = $(this).val();
        $('[name^=member]').each(function()
        {
            $(this).find('[value=' + value + ']').prop('disabled', 'disabled');
        });
    });
    $('.chosen').trigger("chosen:updated");
}

$(document).ready(function()
{
    $.setAjaxForm('#teamForm');
    updateMember();

    /* Add a trade detail item. */
    $(document).on('click', '.icon-plus', function()
    {
        $(this).parents('tr').after($('#memberTpl').html().replace(/key/g, v.key));
        $(this).parents('tr').next().find("[name^='member']").chosen();
        $(this).parents('tr').next().find("[name^='role']").chosen();
        v.key ++;
        updateMember();
        return false;
    });

    /* Remove a trade detail item. */
    $(document).on('click', '.icon-minus', function()
    {
        if($('#teamForm table .icon-minus').size() > 1)
        {
            $(this).parents('tr').remove();
        }
        else
        {
            $(this).parents('tr').find('input,select').val('');
        }
        updateMember();
        return false;
    });

});
